.toolkit-button {
    margin: 4px;
    padding: 8px 16px;
    color: #002f42;
    text-shadow: 0px 1px 0px rgba(255,255,255,0.6)s;
    background-color: rgb(245,245,245);
    background-image: url(../images/gradients/grey_out.png);
    background-repeat: repeat-x;
    background-size: 100% 200%;
    background-position: 50% 0;
    border: 1px solid #aaa;
    filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../images/gradients/grey_out.png',sizingMethod='scale');
    -webkit-border-radius: 6px;
    -moz-border-radius:    6px;
    border-radius:         6px;
    cursor: pointer;
    text-decoration: none;
    display: inline-table;
    text-align: center;
    box-sizing: border-box;
    transition: border 0.25s ease-in-out, box-shadow 0.25s ease-in-out;
}
.toolkit-button:hover {
    border: 1px solid #002f42;
    background-size: 100% 120%;
    background-position: 50% 0;
    -webkit-box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.1);
    box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.1);
}
.toolkit-button:active {
    background-image: url(../images/gradients/grey_in.png);
    background-size: 100% 250%;
    background-position: 50% 75%;
    -webkit-box-shadow: 0px 3px 0px rgba(255,255,255,0.5), 0px -3px 0px rgba(0,0,0,0.05), 2px 0px 0px rgba(255,255,255,0.3), 0px -2px 0px rgba(0,0,0,0.025);
    -moz-box-shadow: 0px 3px 0px rgba(255,255,255,0.5), 0px -3px 0px rgba(0,0,0,0.05), 2px 0px 0px rgba(255,255,255,0.3), 0px -2px 0px rgba(0,0,0,0.025);
    box-shadow: 0px 3px 0px rgba(255,255,255,0.5), 0px -3px 0px rgba(0,0,0,0.05), 2px 0px 0px rgba(255,255,255,0.3), 0px -2px 0px rgba(0,0,0,0.025);
    filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../images/gradients/grey_in.png',sizingMethod='scale');
}
.toolkit-button .toolkit-cell {
    display: table-cell;
    vertical-align: middle;
    text-align: center;
}
.toolkit-button div.toolkit-label {
    font-size: 13px;
    line-height: 1.5em;
    text-align: center;
    margin: auto;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    padding: 0 3px;
    transition: background 0.33s ease-in-out, color 0.33s ease-in-out;
    -webkit-border-radius: 4px;
    -moz-border-radius:    4px;
    border-radius:         4px;
}
.toolkit-button img.toolkit-icon {
    margin: auto;
    margin-bottom: 5px;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.toolkit-button.toolkit-active {
    border: 1px solid #002f42;
}
.toolkit-button.toolkit-active div.toolkit-label {
    background-color: #002f42;
    color: white;
    text-shadow: 0px -1px 0px black;
    
}
.toolkit-button.toolkit-active img.toolkit-icon {
    
}
